Package oracle.jdbc.diagnostics

## Class TraceMemoryHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.MemoryHandler
    - - oracle.jdbc.diagnostics.TraceMemoryHandler

    public class TraceMemoryHandler
    extends java.util.logging.MemoryHandler

A custom implementation of MemoryHandler that logs all the LogRecord into its internal buffer without applying any filters.

### Constructor Summary

Constructors
`TraceMemoryHandler​(java.util.logging.Handler target, int size, java.util.logging.Level pushLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isLoggable​(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.MemoryHandler

`close, flush, getPushLevel, publish, push, setPushLevel`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceMemoryHandler

    public TraceMemoryHandler​(java.util.logging.Handler target,
                              int size,
                              java.util.logging.Level pushLevel)

### Method Detail

#### isLoggable

    public boolean isLoggable​(java.util.logging.LogRecord record)

Overrides:
  `isLoggable` in class `java.util.logging.MemoryHandler`